- entityDefinitions:
  - IDI_Task_ViewGetAttributeMethod: '{53368a7d-ee21-4024-a381-f72e784e5a51}'
  - IDI_Task_EditGetAttributeMethod: '{0ede3398-2b50-4cfc-9a61-e4f69ef6ef8f}'
  - IDE_GetAttributeMethod_View: '{ddd8f4ac-3283-443f-98e2-93aaf05b64b8}'
  - IDE_GetAttributeMethod_Edit: '{0e2725e5-3420-4a54-8caa-1c3d2910f09d}'
  - IDE_GetAttributeMethod_Definition: '{3ef4c531-72a9-44fd-84c7-f328ddada363}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewGetAttributeMethod;'
    name: 'View GA - Get Attribute Method'
    initiatingElement: '&IDE_GetAttributeMethod_View;'
    taskCategory: '&IDI_TaskCategory_GetAttributeMethod;'

  - sequenceTask: '&IDI_Task_EditGetAttributeMethod;'
    name: 'Edit GA - Get Attribute Method'
    initiatingElement: '&IDE_GetAttributeMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_GetAttributeMethod;'

  - element: '&IDE_GetAttributeMethod_View;'
    name: 'view ga'
    elementContents:
    - globalIdentifier: '{e6137219-9cbb-4009-a2ef-3a1fe231d543}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{1866ee2e-a237-4935-875a-410016fa5ea6}'
      defaultDataType: '&IDE_GetAttributeMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_GetAttributeMethod_Definition;'
    name: 'ga subedit'
    label: 'Return'
    elementContents:
    - globalIdentifier: '{eb8bb6c2-657a-4747-9910-2578c6a56600}'
      defaultDataType: '&IDR_Get_Attribute_Method__returns__Attribute;'
      label: 'Returns Attribute'
      order: a

  - element: '&IDE_GetAttributeMethod_Edit;'
    name: 'edit ramb'
    elementContents:
    - globalIdentifier: '{f05b80c5-0c7e-404f-a8f9-4957a679e43b}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{2ca46d4b-e400-4564-924d-3068829d072b}'
      defaultDataType: '&IDE_GetAttributeMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
